Subject: Re: I don't want the .git directory next to my code.

From: Mike <[email-masked]>
Date: Tue, 15 Jan 2008 23:18:49 -0500

David Symonds wrote:
> On Jan 16, 2008 2:27 PM, Mike <[email-masked]> wrote:
>> 2. If I tar/gz my code and deliver it to a client, I don't want the .git
>> dir slipping into the tarball, allowing my client to be able to peruse
>> the history of what we did and when.
> 
> Use git-archive.
> 

Thanks but this isn't sufficient. If we have one directory of our web 
root in a git repository, say docroot/php, and we tar up docroot, it 
will include php/.git.  We don't want that.  We would have to go out of 
our way to avoid the .git directory.  The point is, we don't want 
anything in docroot that shouldn't be made live.